/*
 *
 * Copyright 2017-2018 Nitrite author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package org.dizitart.no2.fulltext.languages;

import org.dizitart.no2.fulltext.Language;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

/**
 * Latvian stop words
 *
 * @since 2.1.0
 * @author Anindya Chatterjee
 */
public class Latvian implements Language {
    @Override
    public Set<String> stopWords() {
        return new HashSet<>(Arrays.asList(
                "aiz",
                "ap",
                "apakš",
                "apakšpus",
                "ar",
                "arī",
                "augšpus",
                "bet",
                "bez",
                "bija",
                "biji",
                "biju",
                "bijām",
                "bijāt",
                "būs",
                "būsi",
                "būsiet",
                "būsim",
                "būt",
                "būšu",
                "caur",
                "diemžēl",
                "diezin",
                "droši",
                "dēļ",
                "esam",
                "esat",
                "esi",
                "esmu",
                "gan",
                "gar",
                "iekam",
                "iekams",
                "iekām",
                "iekāms",
                "iekš",
                "iekšpus",
                "ik",
                "ir",
                "it",
                "itin",
                "iz",
                "ja",
                "jau",
                "jeb",
                "jebšu",
                "jel",
                "jo",
                "jā",
                "ka",
                "kamēr",
                "kaut",
                "kolīdz",
                "kopš",
                "kā",
                "kļuva",
                "kļuvi",
                "kļuvu",
                "kļuvām",
                "kļuvāt",
                "kļūs",
                "kļūsi",
                "kļūsiet",
                "kļūsim",
                "kļūst",
                "kļūstam",
                "kļūstat",
                "kļūsti",
                "kļūstu",
                "kļūt",
                "kļūšu",
                "labad",
                "lai",
                "lejpus",
                "līdz",
                "līdzko",
                "ne",
                "nebūt",
                "nedz",
                "nekā",
                "nevis",
                "nezin",
                "no",
                "nu",
                "nē",
                "otrpus",
                "pa",
                "par",
                "pat",
                "pie",
                "pirms",
                "pret",
                "priekš",
                "pār",
                "pēc",
                "starp",
                "tad",
                "tak",
                "tapi",
                "taps",
                "tapsi",
                "tapsiet",
                "tapsim",
                "tapt",
                "tapāt",
                "tapšu",
                "taču",
                "te",
                "tiec",
                "tiek",
                "tiekam",
                "tiekat",
                "tieku",
                "tik",
                "tika",
                "tikai",
                "tiki",
                "tikko",
                "tiklab",
                "tiklīdz",
                "tiks",
                "tiksiet",
                "tiksim",
                "tikt",
                "tiku",
                "tikvien",
                "tikām",
                "tikāt",
                "tikšu",
                "tomēr",
                "topat",
                "turpretim",
                "turpretī",
                "tā",
                "tādēļ",
                "tālab",
                "tāpēc",
                "un",
                "uz",
                "vai",
                "var",
                "varat",
                "varēja",
                "varēji",
                "varēju",
                "varējām",
                "varējāt",
                "varēs",
                "varēsi",
                "varēsiet",
                "varēsim",
                "varēt",
                "varēšu",
                "vien",
                "virs",
                "virspus",
                "vis",
                "viņpus",
                "zem",
                "ārpus",
                "šaipus"
        ));
    }
}
